#!/usr/bin/perl -w
#
use IO::Socket;
unless (@ARGV >1) { die "usage: $0 host document ..." }

$host=shift(@ARGV);

foreach $document ( @ARGV ) {
  $remote = IO::Socket::INET->new (Proto=> "tcp",
  PeerAddr => $host,
  PeerPort => "http(80)",
  );
  unless ($remote) { die "cannot connect to HTTP daemon on $host" }
  $remote->autoflush(1);
  print $remote "GET $document HTTP/1.0\n\n";
  while(<$remote>) { print }
  close $remote;
}
